com.thinkaurelius.titan.diskstorage.keycolumnvalue

## Class KeySliceQuery

- java.lang.Object
- - com.thinkaurelius.titan.graphdb.query.BaseQuery
  - - com.thinkaurelius.titan.diskstorage.keycolumnvalue.SliceQuery
    - - com.thinkaurelius.titan.diskstorage.keycolumnvalue.KeySliceQuery

- All Implemented Interfaces:
    BackendQuery<SliceQuery>, Query

      public class KeySliceQuery
      extends SliceQuery

  Extends `SliceQuery` by a key that identifies the location of the slice in the key-ring.
  Author:
    Matthias Broecheler (me@matthiasb.com)

- - ### Field Summary

    - ### Fields inherited from class com.thinkaurelius.titan.diskstorage.keycolumnvalue.SliceQuery

      `DEFAULT_STATIC`

    - ### Fields inherited from interface com.thinkaurelius.titan.graphdb.query.Query

      `NO_LIMIT`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `KeySliceQuery(StaticBuffer key, SliceQuery query)`
    `KeySliceQuery(StaticBuffer key, StaticBuffer sliceStart, StaticBuffer sliceEnd)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(Object other)`
    `StaticBuffer` | `getKey()`
    `int` | `hashCode()`
    `KeySliceQuery` | `setLimit(int limit)` Sets the limit of the query if it wasn't specified in the constructor
    `boolean` | `subsumes(KeySliceQuery oth)`
    `String` | `toString()`
    `KeySliceQuery` | `updateLimit(int newLimit)` Creates a new query identical to the current one but with the specified limit.

    - ### Methods inherited from class com.thinkaurelius.titan.diskstorage.keycolumnvalue.SliceQuery

      `getSliceEnd, getSliceStart, getSubset, pointRange, subsumes`

    - ### Methods inherited from class com.thinkaurelius.titan.graphdb.query.BaseQuery

      `getLimit, hasLimit`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface com.thinkaurelius.titan.graphdb.query.Query

      `getLimit, hasLimit`

- - ### Constructor Detail

    - #### KeySliceQuery

          public KeySliceQuery(StaticBuffer key,
                       StaticBuffer sliceStart,
                       StaticBuffer sliceEnd)

    - #### KeySliceQuery

          public KeySliceQuery(StaticBuffer key,
                       SliceQuery query)

  - ### Method Detail

    - #### getKey

          public StaticBuffer getKey()

      Returns:
        the key of this query

    - #### setLimit

          public KeySliceQuery setLimit(int limit)

      Description copied from class: `BaseQuery`
      Sets the limit of the query if it wasn't specified in the constructor
      Overrides:
        `setLimit` in class `SliceQuery`
      Returns:

    - #### updateLimit

          public KeySliceQuery updateLimit(int newLimit)

      Description copied from interface: `BackendQuery`
      Creates a new query identical to the current one but with the specified limit.
      Specified by:
        `updateLimit` in interface `BackendQuery<SliceQuery>`
      Overrides:
        `updateLimit` in class `SliceQuery`
      Returns:

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `SliceQuery`

    - #### equals

          public boolean equals(Object other)

      Overrides:
        `equals` in class `SliceQuery`

    - #### subsumes

          public boolean subsumes(KeySliceQuery oth)

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

Copyright © 2012–2014. All rights reserved.